main_icn_My_Vodafone main_icn_Search main_icn_Chevron_right main_icn_Chevron_down main_icn_Close main_icn_Menu social-facebook social-google-plus social-linkedin social-twitter social-youtube main_icn_Community_or_Foundation main_icn_Location main_icn_Network_signal
Menu Toggle

Welcome to Vodafone Community

iOS

USB dongle software not compatible with OS X Yosemite

SOLVED
View solved solution
3: Seeker

Hi

 

I've tried the procedure you described, but under Settings, Network I don't get the option to select the modem. The modem does not show up at all as an option. Maybe my problem lies with step 1...what do you mean by "just eject it"?

 

Apologies for the stupid questions...at the best of times these things are vague to me!

 

Ciska

View more options
2: Seeker

Hello Ciska,

Sometimes when we connect the dongle, it show up in the screen an external hard disk like a memory stick.

You have to eject it, if not the system will not see it as a dongle but as an external hard disk.

 

Please let me know if you need any further information.

 

Regards

Paulo

View more options
Highlighted
1: Seeker

Hi,

 

Vodafone Greece appear to have released VMB 04.10.08.00 at the end of last year already... they say it is OSX Yosemite compatible but I have not installed it yet.

http://www.vodafone.gr/portal/vmcr10?request_locale=en#tab2025829493596940556_111_1_5_17_21_55

 

I can't understand why it does not appear on any other country's vodafone page, only Greece. Is it legitimate software (no https on vodafone greece..) ? or maybe Vodafone are using Greece to test their beta versions?

 

And on security.. does anyone else get a "Firefox could not verify this website because the issuer is unknown" security warning when accessing Vodafone UK business support website?

https://www.business.vodafone.com/site/bus/public/enuk/support/10_productsupport/laptop_connectivity...

Come on Vodafone.. please keep your security certificates fully verified, there's no way I can install software downloaded from a website that gives me "i have maybe been compromised" security warning when I access it.

 

Thanks

 

View more options
Moderator (Retired)

Hi @sclarch

 

The software available on our Greece website isn't compatible in the UK.

 

If you're having trouble accessing our business support page, please clear your cache and cookies or try a different browser.

 

Thanks,

 

Rodney

View more options
1: Seeker

Hi there

I am also still waiting for a solution. I had my USB stick for a couple of weeks and then couldn't use it anymore. 

Kind regards

M

View more options
Moderator (Retired)

Hi @mgrobler,

 

Please follow the steps here for a potential workaround.

 

Thanks,

Matt B

View more options
2: Seeker

Can you offer a timescale on when the vodafone mobile broadband software will be updated to work with Yosemite?

View more options
Moderator

Hi @camc56 

 

I'm afraid that we're not able to provide a timescale for this. 

 

Take a look at our statement for more info. 

 

Thanks, 

 

Amanda 

View more options
2: Seeker

Do any of your mobile broadband devices work with Mac OS X Yosemite?

 

Want to know if I can get a new device or whether I'm going to have to go elsewhere to get mobile broadband. Waiting for some unknown date isn't going to be acceptable.

View more options
Moderator

Hi @camc56 

 

Our dongles are not compatible with OS X Yosemite.

 

Thanks,

 

Sukhi

View more options
2: Seeker

Sorry disagree, I have my dongle working with Yosemite, I am just not using your software.

 

View more options
3: Seeker

 Hi pqueimadas

 

I may have missed your comment before, but could you please describe what procedure you followed to get the dongle to work without the (useless) Voda software?

View more options
3: Seeker

Thank you! Yes I've seen it and will try it out.

View more options
7: Helper

I recently purchased mobile broadband from vodafone.  It wasn't a dongle that you plug into the usb port in computer but rather sits seperately and makes a mobile hotspot that any laptop including macbook pro running yosemite picks us. No software required.

 

Surely this would be a solution to the issue in this thread and perhaps a free change of equipment could be offered by vodafone.

 

It is vodafone Mobile Wi-Fi R207

 

View more options
Moderator

Hi everyone,

 

Just to reconfirm, our K4201 dongle is not compatiable with OS X Yosemite. 

 

However some of our other devices are, take a look at our Mobile broadband software page for more info.

 

Thanks,

 

Amanda  

View more options
3: Seeker

Dear pqueimadas

 

I registered on this site just to thank you. This is a worldwide issue and I dont think Vodafone realises how many people use Yosemite. Regardless, you made sure that we did not need them and their half hearted customer service. Thank you once again for posting this solution. Just an additional tip, the same fix works for the K4201I model too.

 

Happy Surfing !!

 

View more options
2: Seeker

You might want to put a message to that effect on the page where you buy the dongles? This has been a problem for over half a year now and you are still selling the dongle without any warning that for a large proportion of people it won't work at all. It seems like you are purposefully misleading people to get them into a contract with you. 

I know that it won't mean anything to you but I certainly won't risk buying anything from you again.

View more options
Moderator (Retired)

Hi @junkie1201 and @johnnyphilb

 

It’s a shame that you feel this way and appreciate your feedback.

 

You can find further information available on our software page.

 

Thanks,

 

Sarah

View more options
3: Seeker

We are now a year from release of MacOS 10.10 Yosemite, plus 6 months of the Beta being available to developers. And where is Vodafone with the update to make millions of WW devices used on Macs with their release update? Absolutely nowhere. I have kept monitoring these pages and the latest release pages for months and all I can see is excuses and a few apologies. Now my Macbook crashed last night after I tried to use my Broadband modem for the first time after installing Yosemite 10.10.5. I am fed up and I will take my business elsewhere. This is a great shame.

View more options